> For the complete documentation index, see [llms.txt](https://api.lampix.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.lampix.co/application-development/lampixjs/api/watchers.resumeall.md).

# .watchers.resumeAll

Resumes all the currently registered watchers.

## Returns

(`Promise<void>`): A promise that fulfills when all of the registered watchers have been resumed. If a registered watcher is not paused, it will simply resolve automatically, bypassing Lampix.

## Example

```javascript
import lampix from '@lampix/core';

const state = {
  registeredWatchers: []
};

const draw = (recognizedObjects) => {
  // Drawing amazing effects
};

const watcher1 = {
  name: 'DepthClassifier',
  shape: lampix.helpers.rectangle(0, 0, window.innerWidth / 2, window.innerHeight),
  onClassification: draw
};

const watcher2 = {
  name: 'DepthClassifier',
  shape: lampix.helpers.rectangle(window.innerWidth / 2, 0, window.innerWidth / 2, window.innerHeight),
  onClassification: draw
};

lampix.watchers.add(watcher1, watcher2)
  .then((registeredWatchers) => {
    state.registeredWatchers = registeredWatchers;

    // Remove them right away!
    // The removal expression below is equivalent to 
    return lampix.watchers.pauseAll();
  })
  .then(() => {
    // watcher1 and watcher2 are now paused
    console.log(registeredWatchers[0].state.active); // false
    console.log(registeredWatchers[1].state.active); // false

    return lampix.watchers.resumeAll();
  })
  .then(() => {
    // watcher1 and watcher2 are now resumed
    console.log(registeredWatchers[0].state.active); // true
    console.log(registeredWatchers[1].state.active); // true
  });
```

## Notes

You can resume a single registered watcher by using its [`.resume()`](/application-development/lampixjs/api/registered-watcher.md#resume) method as well.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.lampix.co/application-development/lampixjs/api/watchers.resumeall.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
